package routes

import (
	"byom-infra-api/middleware"

	"github.com/gorilla/mux"
)

// SetupRoutes configures all the routes for the application
func SetupRoutes(r *mux.Router) {
	// Add logging middleware
	r.Use(middleware.LoggingMiddleware)

	// SSH Key routes
	r.HandleFunc("/sshkey", GetSSHKeys).Methods("GET")
	r.HandleFunc("/sshkey/{id}", GetSSHKeyByID).Methods("GET")
	r.HandleFunc("/sshkey", CreateSSHKey).Methods("POST")
	r.HandleFunc("/sshkey/{id}", DeleteSSHKey).Methods("DELETE")

	// Add other routes here as needed
}
